<?php
session_start();
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
$x=$_POST["Jmeno"];
$xx=$_POST["Prijmeni"];
$xxx=$_POST["rc"];
$xxxx=$_POST["Adresa"];
$error=1;	
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>
      
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <h2>Přidání nového pacienta </h2>
        <br />
        <ul class="info">
          <li>Info</li>
          <li class="tag">Nový pacient</li>
               </ul>
<?php
if (is_numeric($rc)){
/*
* Zkontroluje rodné číslo a spočítá věk

*/
// RČ jako ŘETĚZEC, nikoliv ČÍSLO!!! (vypustila by se první nula)
//  $rc="8410274114";     // zadám RC, bez lomítka - RC narozen mezi 1954 a 2000
//  $rc="0212319393";     // zadám RC, bez lomítka - RC narozen po r.2000
// $rc="010101111";      // zadám RC, bez lomítka - RC narozen pred r.1954

$delka=strlen($rc); // Spočítám z kolika čísel se skládá.
$RodneCislo_hash=md5($rc);
function vek($birthdate){ // toto je jednoduchá funkce pro spočítání věku.
   $vek= intval((date("Ymd",mktime()) - $birthdate)/10000);
   return $vek." let";
}

if($delka==9){    //stary narozeny pred 1954

  $rok = substr($rc, 0, -7);    // vrátí 1-2 znak
  $mesic = substr($rc, 2, -5);  // vrátí 3-4 znak
  $den = substr($rc, 4, -3);    // vrátí 5-6 znak

  if($rok>=54){   // pokud je rok víc jak 54, je RC spatně, datum narození ale spočítat můžeme.
    echo "Rodné číslo nebylo zadáno správně";
  }
   }
  if($delka==9 && $rok<54){ 
  if($mesic>=51 and $mesic<=62){ // pokud je mesic mezi 51 a 62 jedna se urcite o zenu (zase asi plati jen po roce 54, to nevim jiste, kontrolou to ale nepokazim).
    $mesic=$mesic-50;
    $pohlavi='Žena';
    $n="Pacientka byla úspěšně přidána. ";
  }else{
    $n="Pacient byl úspěšně přidán. ";
    $pohlavi='Muž';
  }

  $m=strlen($mesic);
  if($m==1){
    $zeroM="0";
  }else{
    $zeroM="";
  }
  $d=strlen($den);
  if($d==1){
    $zeroD="0";
  }else{
    $zeroD="";
  }
  $DatNar="19".$rok.$zeroM.$mesic.$zeroD.$den;
  $stari=vek($DatNar);
        do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("INSERT INTO pacient (Jmeno, Prijmeni, Pohlavi, Vek, RodneCislo_hash, Adresa) VALUES ('$Jmeno', '$Prijmeni', '$pohlavi', '$stari', '$RodneCislo_hash', '$Adresa')");
  if (!$vysledek):
		echo "Pacient s tímto rodným číslem již v databázi existuje.<BR>\n";
				break;
	elseif ($vysledek):
		  echo "<br/>";
  echo $n;
   echo "<br/>";
  // pokus
$dir = "menu/upload/$RodneCislo_hash";
$error=0;	
// set up basic connection
$conn_id = ftp_connect("ftp.johny.cz");
$ftp_user_name="marvik.johny.cz";
$ftp_user_pass="marvik30";
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);

// try to create the directory $dir
if (ftp_mkdir($conn_id, $dir)) {
 echo "Úspěšně vytvořen adresář pro vkládání dat. \n";
   echo "<BR />";
} else {
 echo "Chyba při vytváření adresáře pro data \n";
   echo "<BR />";
}
$file= "menu/upload/$RodneCislo_hash";
if (ftp_chmod($conn_id, 0777, $file) !== false) {
 echo "Práva ke složce byla úspěšně nastavena.\n";
 echo "<BR />";
} else {
 echo "Nepodařilo se nastavit správně práva. \n";
  echo "<BR />";
}
// close the connection
ftp_close($conn_id);
echo "<BR />";
echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='' VALUE='Pokračovat na pacienta'>   ";
echo "<INPUT TYPE=HIDDEN NAME='vrc' VALUE='$RodneCislo_hash'>";
echo    "</FORM>";  
 /* umask(0000);
  mkdir("upload/$RodneCislo_hash", 0777);
  chmod("upload/$RodneCislo_hash", 0777);
  echo "<br/>";
*/		
	endif;
	MySQL_Close($spojeni);    
} while (false);

}elseif($delka==10){ // mlady, narozen po 1953

  $check2=$rc / 11;   // pokud je RC 10 místné, musí být dělitelné 11 beze zbytku
  $check=floor($check2);  // zaokrouhlím  vždy dolů.

  if($check == $check2){
  $rok = substr($rc, 0, -8);    // vrátí 1-2 znak
  $mesic = substr($rc, 2, -6);  // vrátí 3-4 znak
  $den = substr($rc, 4, -4);    // vrátí 5-6 znak

  if($mesic>=51 and $mesic<=62){  // pokud je mesic mezi 51 a 62 jedna se urcite o zenu (zase asi plati jen po roce 53, to nevim jiste).
    $mesic=$mesic-50;
    $zena=true;
    $pohlavi='Žena';
    $n="Pacientka byla úspěšně přidána. ";
  }else{
    $zena=false;
    $pohlavi='Muž';
    $n="Pacient byl úspěšně přidán. ";
  }

  $letos=date("y");

  if($letos>=$rok){
    $stoleti=20;
  }else{
    $stoleti=19;
  }
  // Spočítámě věk
  $m=strlen($mesic);
  if($m==1){
    $zeroM="0";
  }else{
    $zeroM="";
  }
  $d=strlen($den);
  if($d==1){
    $zeroD="0";
  }else{
    $zeroD="";
  }
  $DatNar=$stoleti.$rok.$zeroM.$mesic.$zeroD.$den;
  $stari=vek($DatNar);
        do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$vysledek = MySQL_Query("INSERT INTO pacient (Jmeno, Prijmeni, Pohlavi, Vek, RodneCislo_hash, Adresa) VALUES ('$Jmeno', '$Prijmeni', '$pohlavi', '$stari', '$RodneCislo_hash', '$Adresa')");
  if (!$vysledek):
		echo "Pacient s tímto rodným číslem již v databázi existuje.<BR>\n";
	
		break;
	elseif ($vysledek):
		  echo "<br/>";
  echo $n;
   echo "<br/>";
  // pokus
$dir = "menu/upload/$RodneCislo_hash";
$error=0;	
// set up basic connection
$conn_id = ftp_connect("ftp.johny.cz");
$ftp_user_name="marvik.johny.cz";
$ftp_user_pass="marvik30";
// login with username and password
$login_result = ftp_login($conn_id, $ftp_user_name, $ftp_user_pass);

// try to create the directory $dir
if (ftp_mkdir($conn_id, $dir)) {
 echo "Úspěšně vytvořen adresář pro vkládání dat. \n";
   echo "<BR />";
} else {
 echo "Chyba při vytváření adresáře pro data. \n";
   echo "<BR />";
}
$file= "menu/upload/$RodneCislo_hash";
if (ftp_chmod($conn_id, 0777, $file) !== false) {
 echo "Práva ke složce byla úspěšně nastavena. \n";
 echo "<BR />";
} else {
 echo "Nepodařilo se nastavit správně práva. \n";
  echo "<BR />";
}
// close the connection
ftp_close($conn_id);
echo "<BR />";
echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='' VALUE='Pokračovat na pacienta'>   ";
echo "<INPUT TYPE=HIDDEN NAME='vrc' VALUE='$RodneCislo_hash'>";
echo    "</FORM>";  
 /* umask(0000);
  mkdir("upload/$RodneCislo_hash", 0777);
  chmod("upload/$RodneCislo_hash", 0777);
  echo "<br/>";
*/	
  echo "<br/>";
		
	endif;
	MySQL_Close($spojeni);    
} while (false);
    echo "";
  }else{
    echo "Rodné číslo není zadáno správně";
    
  }

  
}else{
  echo "Neplatné rodné číslo";
}
}
else
echo "Rodné číslo musí být pouze číslo.";


if ($error==1){
echo "<BR />";
echo "<BR />";
echo "<FORM ACTION='pridat.php' METHOD=POST>";
echo "<INPUT TYPE=HIDDEN NAME=x VALUE='$x'>";
echo "<INPUT TYPE=HIDDEN NAME=xx VALUE='$xx'>";
echo "<INPUT TYPE=HIDDEN NAME=xxx VALUE='$xxx'>";
echo "<INPUT TYPE=HIDDEN NAME=xxxx VALUE='$xxxx'>";
echo "<INPUT TYPE=SUBMIT VALUE='Zpět na formulář' style='border: 1px solid silver;color:#c3a184;background-color: #2d1e17'>";
echo "</FORM>";
}
?>
                                          
      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
          <li><a href="pridat.php">Přidat nového pacienta</a></li>
           <li><a href="mysql.php">Zpět do hlavní nabídky</a></li>

          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>
